const postcss = require('postcss')
const { name } = require('./package')

module.exports = postcss.plugin(name, (vars = {}, selector = ':root') => {
  return css => {
    css.walk(rule => {
      if (rule.selector === 'html') {
        const rule = postcss.rule({ selector })
        css.prepend(rule.append(vars))
      }
    })

    return css
  }
})
